/*
 File: dbl_colon.cpp
 Date and Time: Fri Jan 30 18:55:09 2015 
*/
#include "dbl_colon.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_dbl_colon;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 1;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
}
  Cdbl_colon::
  Cdbl_colon()
    :yacco2::CAbs_fsm
      ("dbl_colon.lex"
      ,"1.0"
      ,"8 Jun 2004"
      ,false
      ,"This one's for the thread's name :: lexer."
      ,"Fri Jan 30 18:55:09 2015 "
      ,S1_Cdbl_colon){
    
  }
 
Cdbl_colon::~Cdbl_colon(){

  for(int x = 0;x < 1;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cdbl_colon::failed(){
      return false;
  }
  void Cdbl_colon::op(){
}
int Cdbl_colon::rhs_to_rules_mapping_[2] = {
 -1
 ,0 // subrule 1 for rule 1
}; 
Rdbl_colon::Rdbl_colon(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rdbl_colon",0,Cdbl_colon::R_Rdbl_colon_,P,false,false){
}

void Rdbl_colon::op(){
  sstrace_rulesss
 
      rtn_sym_->set_rc(*rule_info__.parser__->start_token__,__FILE__,__LINE__);
      RSVP(rtn_sym_);
      rtn_sym_ = 0;      
    
}
void Rdbl_colon::sr1(){
   
      rtn_sym_ = new T_2colon; 
    
}

